## org.apache.myfaces.component
Interface UserRoleAware

All Known Implementing Classes:
  HtmlCommandButton, HtmlCommandJSCookMenu, HtmlCommandLink, HtmlDataTable, HtmlGraphicImage, HtmlInputDate, HtmlInputFileUpload, HtmlInputSecret, HtmlInputText, HtmlInputTextarea, HtmlMessage, HtmlMessages, HtmlOutputLabel, HtmlOutputText, HtmlPanelGrid, HtmlPanelGroup, HtmlSelectBooleanCheckbox, HtmlSelectManyCheckbox, HtmlSelectManyListbox, HtmlSelectManyMenu, HtmlSelectOneListbox, HtmlSelectOneMenu, HtmlSelectOneRadio, HtmlTag, UINavigationMenuItem

public interface UserRoleAware

Behavioral interface. Components that support user role checking should implement this interface to optimize property access.

Version:
  $Revision: 169646 $ $Date: 2005-05-11 11:34:57 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary
`static java.lang.String` `ENABLED_ON_USER_ROLE_ATTR`
`static java.lang.String` `VISIBLE_ON_USER_ROLE_ATTR`

Method Summary
`java.lang.String` `getEnabledOnUserRole()`
`java.lang.String` `getVisibleOnUserRole()`
`void` `setEnabledOnUserRole(java.lang.String userRole)`
`void` `setVisibleOnUserRole(java.lang.String userRole)`

Field Detail

### ENABLED_ON_USER_ROLE_ATTR

    public static final java.lang.String ENABLED_ON_USER_ROLE_ATTR

See Also:
  Constant Field Values

### VISIBLE_ON_USER_ROLE_ATTR

    public static final java.lang.String VISIBLE_ON_USER_ROLE_ATTR

See Also:
  Constant Field Values

Method Detail

### getEnabledOnUserRole

    public java.lang.String getEnabledOnUserRole()

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String userRole)

### getVisibleOnUserRole

    public java.lang.String getVisibleOnUserRole()

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String userRole)